Subject: Re: bug#56829: Unable to build Emacs with native compilation

From: Gerd Möllmann <[email-masked]>
Date: Fri, 29 Jul 2022 17:46:54 +0200

On 22-07-29 17:37 , Eli Zaretskii wrote:
> But the third argument is optional, so what is the problem?

You are right - cause is the wrong word.

The problem is the change of narrow-to-region that the native compiler 
doesn't know about.  The native compiler has a table of byte codes with 
corresponding calls it generates.  It should do the same of the same as 
the byte code interpreter, which is passing nil for the optional parameter.